﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr221_1
{
    // Класс с главным методом: 
    class Program
    {
        // Главный метод: 
        static void Main()
        {
            // Отображение сообщения:
            Console.WriteLine("Haчинается выполнение программы");
            // Объявление переменных: 
            int A = 10, B = 0;
            // Отображение значений переменных:
            Console.WriteLine("Переменная A = " + A);
            Console.WriteLine("Переменная B = " + B);
            // Контролируемый код: 
            try {
                // Отображение сообщения:
                Console.WriteLine("Вычисляется выражение A/B");
                // Вычисление выражения (попытка деления на ноль): 
                Console.WriteLine("Peзультат: " + A / B);
                // Отображение выражения (команда не выполняется):
                Console.WriteLine("Вычисления закончены");
            }
            // Блок обработки исключения: 
            catch(Exception e) {
                // Отображение сообщения:
                Console.WriteLine("Boзникла ошибка!");
                // Тип ошибки:
                Console.WriteLine("Тип ошибки: " + e.GetType().Name);
                // Описание ошибки:
                Console.WriteLine("Описание: " + e.Message);
                // Источник ошибки (программа):
                Console.WriteLine("Программа: " + e.Source);
                // Метод, в котором произошла ошибка:
                Console.WriteLine("Метод: " + e.TargetSite.Name);
                // Место (строка) с ошибкой:
                Console.WriteLine("Mecто ошибки: " + e.StackTrace);
            }
            // Отображение сообщения:
            Console.WriteLine("Программа завершила выполнение");
            // Задержка:
            Console.ReadLine();
        }
    }
}
